Python (SDK)
from finance_dev import FinanceDev, models
with FinanceDev(
security=models.Security(
client_id="<YOUR_CLIENT_ID_HERE>",
client_secret="<YOUR_CLIENT_SECRET_HERE>",
),
) as fd_client:
res = fd_client.alternative_data.get_fda_advisory_committee_calendar()
assert res.fda_advisory_committee_calendar_response is not None
# Handle response
print(res.fda_advisory_committee_calendar_response)curl --request GET \
--url https://api.aries.com/v1/stock/fda-advisory-committee-calendar \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.aries.com/v1/stock/fda-advisory-committee-calendar', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.aries.com/v1/stock/fda-advisory-committee-calendar",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.aries.com/v1/stock/fda-advisory-committee-calendar"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.aries.com/v1/stock/fda-advisory-committee-calendar")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.aries.com/v1/stock/fda-advisory-committee-calendar")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"eventDescription": "Vaccines and Related Biological Products Advisory Committee March 12, 2026 Meeting Announcement - 03/12/2026",
"fromDate": "2026-03-12 09:00:00",
"toDate": "2026-03-12 15:30:00",
"url": "https://www.fda.gov/advisory-committees/advisory-committee-calendar/vaccines-and-related-biological-products-advisory-committee-march-12-2026-meeting-announcement"
}
]
}
Stock Alternative
FDA Advisory Committee Calendar
Retrieve FDA advisory committee meeting calendar. Committees support the agency’s mission; each committee is subject to renewal at two-year intervals.
Use Case: List upcoming FDA advisory committee meetings for regulatory and biopharma research.
GET
/
v1
/
stock
/
fda-advisory-committee-calendar
Python (SDK)
from finance_dev import FinanceDev, models
with FinanceDev(
security=models.Security(
client_id="<YOUR_CLIENT_ID_HERE>",
client_secret="<YOUR_CLIENT_SECRET_HERE>",
),
) as fd_client:
res = fd_client.alternative_data.get_fda_advisory_committee_calendar()
assert res.fda_advisory_committee_calendar_response is not None
# Handle response
print(res.fda_advisory_committee_calendar_response)curl --request GET \
--url https://api.aries.com/v1/stock/fda-advisory-committee-calendar \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.aries.com/v1/stock/fda-advisory-committee-calendar', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.aries.com/v1/stock/fda-advisory-committee-calendar",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.aries.com/v1/stock/fda-advisory-committee-calendar"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.aries.com/v1/stock/fda-advisory-committee-calendar")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.aries.com/v1/stock/fda-advisory-committee-calendar")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"eventDescription": "Vaccines and Related Biological Products Advisory Committee March 12, 2026 Meeting Announcement - 03/12/2026",
"fromDate": "2026-03-12 09:00:00",
"toDate": "2026-03-12 15:30:00",
"url": "https://www.fda.gov/advisory-committees/advisory-committee-calendar/vaccines-and-related-biological-products-advisory-committee-march-12-2026-meeting-announcement"
}
]
}
Response
Success returns200 OK with a JSON object containing a data array of events (e.g. fromDate, toDate, eventDescription, url).
Errors: 401 unauthorized, 404 when no data found, 500 server error.Authorizations
OAuth2 Bearer token: obtain an access token from the token endpoint and send it in the Authorization header.
Response
FDA advisory committee calendar.
Upcoming FDA advisory committee meetings, as provided by Finnhub.
FDA advisory committee meeting events.
Show child attributes
Show child attributes
Was this page helpful?